package com.diagbot.web;


import com.diagbot.dto.RespDTO;
import com.diagbot.facade.TestwordInfoFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 词提取用例 前端控制器
 * </p>
 *
 * @author zhoutg
 * @since 2020-10-29
 */
@RestController
@RequestMapping("/testwordInfo")
@Api(value = "提词API", tags = { "提词API" })
public class TestwordInfoController {

    @Autowired
    TestwordInfoFacade testwordInfoFacade;

    @ApiOperation(value = "提词API[zhoutg]",
            notes = "提词API")
    @PostMapping("/getword")
    public RespDTO<Map<String, String>> getword() {
        return RespDTO.onSuc(testwordInfoFacade.getWord());
    }

    @ApiOperation(value = "提词转换API[zhoutg]",
            notes = "提词转换API")
    @PostMapping("/wordConvert")
    public RespDTO<String> wordConvert() {
        testwordInfoFacade.wordConvert();
        return RespDTO.onSuc("执行完毕");
    }
}
